Ryzehosting
  1. ryzectrl
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
      GET
    • details
      GET
    • renew
      POST
    • order
      POST
    • list
      GET
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. ryzectrl

list

GET
ryzectrl/list

Request

None

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/ryzectrl/list'
Response Response Example
200 - Success
{
    "response": "Successfully fetched ryzectrl licenses",
    "state": "success",
    "code": 200,
    "data": {
        "licenses": [
            {
                "uuid": "019b50ab-f9e0-8156-8372-21032a3ca0c0",
                "id": 9,
                "license_key": "RYZCTRL-9A05-1E85-92A3",
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-01-23 14:03:26",
                "created_at": "2025-12-24 15:03:26",
                "package": {
                    "id": 2,
                    "name": "RYZECTRL01",
                    "ip_limit": 1
                },
                "pricings": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.0069
                }
            },
            {
                "uuid": "019b50ab-d79c-81e1-a220-7cd5ac3cfe06",
                "id": 8,
                "license_key": "RYZCTRL-29B7-F415-9FA9",
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-01-23 14:03:17",
                "created_at": "2025-12-24 15:03:17",
                "package": {
                    "id": 2,
                    "name": "RYZECTRL01",
                    "ip_limit": 1
                },
                "pricings": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.0069
                }
            },
            {
                "uuid": "019b50ab-8b53-89e3-af1e-55e07195644c",
                "id": 7,
                "license_key": "RYZCTRL-7DDF-B9C0-5EB5",
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-01-23 14:02:58",
                "created_at": "2025-12-24 15:02:58",
                "package": {
                    "id": 2,
                    "name": "RYZECTRL01",
                    "ip_limit": 1
                },
                "pricings": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.0069
                }
            },
            {
                "uuid": "019b50ab-4bcf-8261-b563-62c111b1f08a",
                "id": 6,
                "license_key": "RYZCTRL-A3D0-416D-9A9B",
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-01-23 14:02:41",
                "created_at": "2025-12-24 15:02:41",
                "package": {
                    "id": 2,
                    "name": "RYZECTRL01",
                    "ip_limit": 1
                },
                "pricings": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.0069
                }
            },
            {
                "uuid": "019b50a9-955c-81cd-b0d2-6ac9038f7923",
                "id": 5,
                "license_key": "RYZCTRL-C25E-E091-4940",
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-01-23 14:00:49",
                "created_at": "2025-12-24 15:00:49",
                "package": {
                    "id": 2,
                    "name": "RYZECTRL01",
                    "ip_limit": 1
                },
                "pricings": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.0069
                }
            },
            {
                "uuid": "019b4ddb-8653-8240-9b34-484fdee76c2a",
                "id": 3,
                "license_key": "RYZCTRL-C859-0EED-C9BD",
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-02-22 00:56:31",
                "created_at": "2025-12-24 01:56:31",
                "package": {
                    "id": 2,
                    "name": "RYZECTRL01",
                    "ip_limit": 1
                },
                "pricings": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.0069
                }
            }
        ],
        "total": 6
    }
}
Modified at 2025-12-30 03:57:53
Previous
order
Next
messages
Built with